/*=========================================
        NAXARY v2.0
=========================================*/

/*=============
   VARIABLES
=============*/

:root{
    --background:#0A0F1C;
    --background-secondary:#121821;
    --blue:#0066FF;
    --cyan:#00E5FF;
    --green:#39FF14;
    --white:#FFFFFF;
    --text:#D8DEE9;
    --transition:.3s ease;
}

/*=============
    RESET
=============*/

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}


*{
    box-sizing: border-box;
}

html, body{
    overflow-x: hidden;
}

body{
    background:var(--background);
    color:var(--white);
    font-family:'Montserrat',sans-serif;
    overflow-x:hidden;
}


/*=========================================
            HEADER
=========================================*/

.navbar{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 22px 7%;
    background: rgba(10,15,28,.82);
    backdrop-filter: blur(16px);
    z-index: 1000;
    transition:
        padding .35s ease,
        background .35s ease,
        backdrop-filter .35s ease,
        box-shadow .35s ease;
}


.navbar.scrolled{
    padding: 14px 7%;
    background: rgba(10,15,28,.95);
    backdrop-filter: blur(22px);
    box-shadow: 0 10px 30px rgba(0,0,0,.35);
}


.logo{
    display:flex;
    align-items:center;
    gap:12px;
}

.logo img{
    width:62px;
    transition:.3s;
}

.logo img:hover{
    transform:scale(1.08);
}

.logo h2{
    font-size:17px;
    font-weight:800;
    letter-spacing:1px;
}

nav ul{
    display:flex;
    list-style:none;
    gap:38px;
}

nav a{
    color:var(--white);
    text-decoration:none;
    font-weight:600;
    transition:.3s;
}

nav a:hover{
    color:var(--cyan);
}

/*=========================================
                HERO
=========================================*/

.hero{
    min-height:70vh; /*= agrandar la parte de planeta =*/
    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:60px;
    padding:140px 7% 80px;
}



.hero-text{
    width:100%;
    padding-left:28px;
    padding-right:28px;
    display:flex;
    flex-direction:column;
    gap:35px;
}


.hero-content h1{
    font-size:68px;
    line-height:1.05;
    font-weight:800;
    margin-bottom:24px;
}

.hero-text span{
    color:var(--green);
}

.hero-content p{
    font-size:20px;
    line-height:1.8;
    color:var(--text);
    margin-bottom:38px;
}

.btn{
    display:inline-block;
    padding:16px 40px;
    border-radius:50px;
    text-decoration:none;
    color:white;
    background:linear-gradient(135deg,var(--blue),var(--cyan));
    font-weight:700;
    transition:.3s;
    font-size: 13.9px; \*= para el tamño de letra del boton =*/
}

.btn:hover{
    transform:translateY(-6px);
    box-shadow:0 0 30px rgba(0,229,255,.45);
}


/*=========================================
            HERO PLANET
=========================================*/

.hero-planet{
    flex:1;
    display:flex;
    justify-content:center;
    align-items:center;
    position:relative;
}

.hero-planet img{
    width:100%;
    max-width:520px;
    animation:planetFloat 8s ease-in-out infinite;
    filter:drop-shadow(0 0 40px rgba(0,229,255,.35));
}

@keyframes planetFloat{
    0%{
        transform:translateY(0);
    }
    50%{
        transform:translateY(-15px);
    }
    100%{
        transform:translateY(0);
    }
}

.menu-toggle{
    display:none;
    width:35px;
    cursor:pointer;
    z-index:1001;
}

.menu-toggle span{
    display:block;
    width:100%;
    height:3px;
    background:#FFFFFF;
    margin:7px 0;
    border-radius:10px;
    transition:.35s;
}


@media (max-width:768px){

    /* NAVBAR */

    .navbar{
        padding:18px 6%;
    }

.menu-toggle{
    display:block;
}

nav{
    position:absolute;
    top:100%;
    left:0;
    width:100%;
    background:#0B1220;
    display:none;
    padding:50px 0;
    box-shadow:0 15px 35px rgba(0,0,0,.35);
    
    opacity:0;
visibility:hidden;
transform:translateY(-20px);
transition:.35s ease;

padding-top:40px;
}

nav.active{
    display:block;
    
    opacity:1;
visibility:visible;
transform:translateY(0);
}

nav ul{
    display:flex;
    flex-direction:column;
    align-items:center;
    gap:30px;
}

nav a{
    font-size:20px;
    color:#fff;
    text-decoration:none;
    font-weight:600;
}


    /* HERO */

    .hero{
        flex-direction:column;
        justify-content:center;
        align-items:flex-start;
        padding:120px 6% 60px;
        gap:45px;
    }

    .hero-content{
        max-width:100%;
    }

    .hero-content h1{
        font-size:52px;
    }

    .hero-content p{
        font-size:18px;
        max-width:100%;
    }

    .hero-planet{
        width:100%;
        justify-content:center;
    }

    .hero-planet img{
        width:330px;
        max-width:90%;
    }

}

.menu-toggle.active span:nth-child(1){
    transform:rotate(45deg) translate(7px,7px);
}

.menu-toggle.active span:nth-child(2){
    opacity:0;
}

.menu-toggle.active span:nth-child(3){
    transform:rotate(-45deg) translate(7px,-7px);
}

/*=========================================
            SERVICIOS
=========================================*/

.services{
    padding:100px 7%;
}

.section-title{
    text-align:center;
    max-width:800px;
    margin:0 auto 70px;
}

.section-title h2{
    font-size:48px;
    font-weight:800;
    margin-bottom:20px;
}

.section-title p{
    font-size:20px;
    line-height:1.8;
}

.services-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:30px;
}

.service-card{
    background:rgba(18,24,33,.8);
    border:1px solid rgba(255,255,255,.08);
    border-radius:24px;
    padding:40px 35px;
    transition:.35s ease;
    backdrop-filter:blur(15px);
}

.service-card:hover{
    transform:translateY(-10px);
    border-color:var(--cyan);
    box-shadow:0 20px 45px rgba(0,229,255,.18);
}

.icon{
    color:#00E5FF;
    margin-bottom:25px;
}

.icon svg{
    width:52px;
    height:52px;
    stroke-width:2;
    filter:drop-shadow(0 0 12px rgba(0,229,255,.45));
}
.service-card h3{
    font-size:28px;
    margin-bottom:18px;
}

.service-card p{
    color:var(--text);
    line-height:1.8;
    font-size:17px;
}

.services-button{
    display:flex;
    justify-content:center;
    margin-top:60px;

}

.btn-secondary{
    display:inline-flex;
    align-items:center;
    gap:10px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    padding:16px 34px;
    border:2px solid var(--cyan);
    border-radius:50px;
    color:var(--cyan);
    text-decoration:none;
    font-weight:700;
    font-size:18px;
    transition:.35s ease;

}


.btn-secondary:hover{
    background:var(--cyan);
    color:var(--background);
    transform:translate(25px, -4px);
    /* Mueve todo el botón 5px a la derecha */
    box-shadow:0 0 25px rgba(0,229,255,.35);
}

/*=========================================
        RESPONSIVE - SERVICIOS
=========================================*/

@media (max-width:768px){
    .services{
        padding:80px 6%;
    }
    .section-title h2{
        font-size:36px;
    }

    .section-title p{
        font-size:18px;
    }

    .services-grid{
        grid-template-columns:1fr;
        gap:25px;
    }

    .service-card{
        padding:30px;
    }

}


/*=========================
      WHY NAXARY
=========================*/

.why{
    padding:120px 8%;
}

.why-grid{

    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:30px;

    margin-top:70px;

}

.why-card{
    background:#121821;
    padding:40px;
    border-radius:24px;
    border:1px solid rgba(255,255,255,.06);
    transition:.35s ease;
}

.why-card svg{
    width:52px;
    height:52px;
    stroke: var(--cyan);
    stroke-width:2;
    margin-bottom:28px;
}

.why-card h3{
    font-size:28px;
    margin-bottom:18px;
    color:white;
}

.why-card p{
    color:#C7D1DB;
    line-height:1.8;
    font-size:17px;
}

.why-card:hover{
    transform:translateY(-8px);
    border-color:var(--cyan);
    box-shadow:0 0 30px rgba(0,229,255,.18);

}

@media (max-width:768px){
    .why{
        padding:120px 7%;
    }

    .why-grid{
        grid-template-columns:1fr;
    }

    .why-card{
        padding:35px;
    }

}

.section-title span{
    color:var(--green);
}


/*=========================
        PROCESS
=========================*/

.process{
    padding:120px 8%;
}

.timeline{
    display:flex;
    justify-content:space-between;
    align-items:flex-start;
    gap:30px;
    margin-top:70px;
}

.step{
    flex:1;
    text-align:center;
}

.circle{
    width:90px;
    height:90px;
    margin:auto;
    border-radius:50%;
    display:flex;
    justify-content:center;
    align-items:center;
    background:#121821;
    border:2px solid var(--cyan);
    transition:.35s ease;

}

.circle svg{
    width:42px;
    height:42px;
    stroke:var(--cyan);
}

.step h3{
    margin-top:28px;
    margin-bottom:18px;
    font-size:28px;
}

.step p{
    color:#C7D1DB;
    line-height:1.8;
    font-size:17px;
}

.line{
    flex:.3;
    height:2px;
    background:rgba(0,229,255,.35);
    margin-top:45px;

}

.step:hover .circle{
    transform:translateY(-20px);
    box-shadow:0 0 30px rgba(0,229,255,.25);
}

@media (max-width:768px){
    .timeline{
        flex-direction:column;
        align-items:center;
    }

    .line{
        width:2px;
        height:60px;
        margin:0;
    }

    .step{
        width:100%;
    }

}




.titulo-naxary {
  background: linear-gradient(135deg, #0066FF 0%, #00E5FF 50%, #39FF14 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}



/*=========================
      TESTIMONIALS
=========================*/

.testimonials{
    padding:12px 8%; /*=====120======*/
}

.testimonials-grid{

    display:grid;

    grid-template-columns:repeat(3,1fr);

    gap:30px;

    margin-top:70px;

}

.testimonial-card{

    background:#121821;

    padding:35px;

    border-radius:24px;

    border:1px solid rgba(255,255,255,.06);

    transition:.35s ease;

}



.testimonial-card:hover{

    transform:translateY(-8px);

    border-color:var(--cyan);

    box-shadow:0 0 30px rgba(0,229,255,.18);

}

.stars{

    color:#FFD54A;

    font-size:22px;

    letter-spacing:4px;

    margin-bottom:25px;

}

.testimonial-text{
    color:#C7D1DB;
    line-height:1.8;
    margin-bottom:35px;
    font-size:17px;
    padding: 0 3px;

}

.client{

    display:flex;

    align-items:center;

    gap:16px;

}

.avatar{

    width:60px;

    height:60px;

    border-radius:50%;

    background:#0A0F1C;

    display:flex;

    justify-content:center;

    align-items:center;

    border:2px solid var(--cyan);

}

.avatar svg{

    width:28px;

    height:28px;

    stroke:var(--cyan);

}

.client h4{

    color:white;

    margin-bottom:5px;

}

.client img{
    width: 75px;
    height: 75px;
    border-radius: 50%;
    object-fit: contain;
    background: #fff;
    padding: 2px;
    border: 4px solid #00E5FF;
    box-shadow: 0 0 15px rgba(0,229,255,.4);
}

.servicio-realizado{
    display: inline-block;
    margin-top: 12px;
    padding: 8px 16px;
    border: 1px solid #00E5FF;
    border-radius: 30px;
    color: #00E5FF;
    font-size: 14px;
    font-weight: 600;
    background: rgba(0,229,255,0.08);
}
.client span{

    color:#9CA8B8;

    font-size:15px;

}


/*=========================================
        HERO CASOS
=========================================*/

.hero-casos{
    padding:170px 8% 50px;
    text-align:center;
}

.hero-casos-content{
    max-width:850px;
    margin:auto;
}

.hero-casos h1{
    font-size:64px;
    margin-bottom:25px;
}

.hero-casos span{
    color:#00E5FF;
}

.hero-casos p{
    font-size:22px;
    color:var(--text);
    line-height:1.8;
    margin-bottom:45px;
}

.testimonio{
    margin-top:25px;
    padding:20px;
    border-left:4px solid var(--green);
    background:rgba(255,255,255,.03);
    border-radius:12px;
}

.testimonio p{
    color:#d6d6d6;
    font-style:italic;
    line-height:1.8;
}

/*=========================================
        TARJETA CASO DE ÉXITO
=========================================*/

.cases{
    padding:100px 8%;
}
.case-card{
    max-width:850px;
    margin:auto;
    background:#121821;
    border:1px solid rgba(255,255,255,.08);
    border-radius:28px;
    padding:45px;
    transition:.35s ease;
    text-align: center;
    
    
}

.case-card:hover{
    transform:translateY(-8px);
    border-color:var(--cyan);
    box-shadow:0 0 35px rgba(0,229,255,.18);
}

.case-photo{
    width:180px;
    height:180px;
    object-fit:cover;
    display:block;
    margin:0 auto 30px;
    border-radius:50%;
    border:4px solid var(--cyan);
    box-shadow:0 0 20px rgba(0,229,255,.30);
}

.case-category{
    display:inline-block;
    padding:8px 18px;
    border:1px solid var(--cyan);
    border-radius:30px;
    color:var(--cyan);
    font-weight:700;
    margin-bottom:18px;
}

.case-card h2{
    font-size:30px;
    line-height: 1.25;
    margin:15px 0 10px;

}

.case-card h4{
    color:var(--text);
    margin-bottom:30px;
    font-size:22px;
}

.case-body{
    text-align:left;
    margin-top:40px;
}

.divider{
    width:100%;
    height:1px;
    background:rgba(255,255,255,.08);
    margin:35px 0;
}

.case-body h3{
    color:var(--green);
    font-size:24px;
    margin-bottom:15px;
}

.case-body p{
    color:var(--text);
    line-height:1.8;
    font-size:18px;
}

.case-body ul{
    list-style:none;
    padding:0;
}

.case-body li{
    color:var(--text);
    font-size:18px;
    margin:12px 0;
}


.solucion-card i,
.solucion-card svg{
    width:52px;
    height:52px;
    color:#00E5FF;
    stroke:#00E5FF;
    margin-bottom:25px;
}



/*========== HERO SOLUCIONES ==========*/

.hero-soluciones{
    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:60px;
    padding:170px 8% 100px;
}

.hero-soluciones-content{
    flex:1;
    max-width:650px;
}

.badge{
    display:inline-block;
    padding:8px 18px;
    background:rgba(0,255,136,.12);
    color:var(--green);
    border:1px solid rgba(0,255,136,.3);
    border-radius:50px;
    font-size:14px;
    font-weight:600;
    margin-bottom:25px;
    letter-spacing:.5px;
}

.hero-soluciones h1{
    font-size:64px;
    line-height:1.15;
    margin-bottom:25px;
}

.hero-soluciones h1 span{
    color:var(--green);
}

.hero-soluciones p{
    font-size:20px;
    color:var(--text);
    line-height:1.8;
    margin-bottom:40px;
}

.hero-buttons{
    display:flex;
    gap:20px;
    margin-top:40px;
    flex-wrap:wrap;
}

.btn-primary{
    display:inline-block;
    padding:16px 34px;
    background:#00E5FF;
    color:#08111f;
    text-decoration:none;
    font-weight:700;
    border-radius:50px;
    transition:.3s;
}

.btn-primary:hover{
    transform:translateY(-4px);
    box-shadow:0 10px 25px #00E5FF;
}

.btn-secondary{
    display:inline-block;
    padding:16px 34px;
    text-decoration:none;
    font-weight:700;
    border-radius:50px;
    transition:.3s;
}

.btn-secondary:hover{
    color:#08111f;
}

.hero-soluciones-image{
    flex:1;
    display:flex;
    justify-content:center;
}

.hero-soluciones-image img{
    width:100%;
    max-width:520px;
}

.btn-primary{
    display:flex;
    gap:20px;
    flex-wrap:wrap;
}


/*========== RESPONSIVE HERO SOLUCIONES ==========*/



@media (max-width: 768px){

    .hero-soluciones{
        padding: 120px 6% 70px;
    }

    .hero-soluciones h1{
        font-size: 38px;
    }

    .hero-soluciones p{
        font-size: 17px;
    }

    .hero-buttons{
        flex-direction: column;
        align-items: center;
    }

    .hero-buttons a{
        width: 100%;
        max-width: 320px;
    }

    .hero-soluciones-image img{
        max-width: 300px;
    }

}


.badge-soon{
    display:inline-block;
    padding:6px 14px;
    background:rgba(0,255,136,.12);
    color:var(--green);
    border:1px solid rgba(0,255,136,.3);
    border-radius:30px;
    font-size:13px;
    font-weight:600;
    margin-bottom:20px;
}
/*========== PRESENCIA DIGITAL ==========*/

.presencia-digital{
    padding:100px 8%;
}

.section-title{
    text-align:center;
    max-width:800px;
    margin:0 auto 70px;
}

.section-title span{
    color:var(--green);
    font-weight:600;
    text-transform:uppercase;
    letter-spacing:1px;
}

.section-title h2{
    font-size:48px;
    margin:20px 0;
}

.section-title h2 span{
    color:var(--green);
}

.section-title p{
    color:var(--text);
    font-size:18px;
    line-height:1.8;
}

.soluciones-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(300px,1fr));
    gap:35px;
}

.solucion-card{
    background:#111827;
    border:1px solid rgba(255,255,255,.08);
    border-radius:22px;
    padding:35px;
    transition:.4s ease;
    margin-bottom: 25px;
}

.solucion-card:hover{
    transform:translateY(-10px);
    border-color:#00E5FF;
    box-shadow:0 15px 40px rgba(0,255,136,.12);
}

.solucion-card i{
    font-size:52px;
    color:#00E5FF;
    margin-bottom:25px;;
    margin-bottom:25px;
}

.solucion-card h3{
    font-size:24px;
    margin-bottom:18px;
    color: white;
}

.solucion-card p{
    color:var(--text);
    line-height:1.8;
    margin-bottom:25px;
}

.solucion-card a{
    color:var(--cyan);
    text-decoration:none;
    font-weight:600;
    transition:.3s;
}

.solucion-card a:hover{
    letter-spacing:1px;
}

@media(max-width:768px){

    .presencia-digital{
        padding:80px 6%;
    }

    .section-title h2{
        font-size:36px;
    }

    .section-title p{
        font-size:16px;
    }

    .soluciones-grid{
        grid-template-columns:1fr;
        gap:25px;
    }

}






@media (max-width:768px){

    .testimonials{

        padding:90px 7%;

    }

    .testimonials-grid{

        grid-template-columns:1fr;

    }
    
    
        .cases{
        padding:80px 6%;
    }

    .case-card{
        grid-template-columns:1fr;
        gap:35px;
        padding:30px;
    }

    .case-content h2{
        font-size:40px;
    }

    .case-content h4{
        font-size:22px;
    }

    .case-block h3{
        font-size:24px;
    }

    .case-block p,
    .case-block li{
        font-size:18px;
    }


    .btn-secondary{
        width:100%;
        justify-content:center;
    }
}



/*=========================
          FAQ
=========================*/

.faq{
    padding:120px 8%;
}

.faq-header{

    text-align:center;

    margin-bottom:60px;

}

.faq-header h2{

    font-size:48px;

    margin-bottom:20px;

}

.faq-header span{

    color:var(--green);

}

.faq-header p{
    max-width:700px;
    margin:auto;
    color:#C7D1DB;
    line-height:1.8;
    font-size:20px;

}

.faq-container{

    max-width:900px;

    margin:auto;

}

.faq-item{

    background:#121821;

    border:1px solid rgba(255,255,255,.06);

    border-radius:18px;

    margin-bottom:18px;

    overflow:hidden;

    transition:.35s;

}

.faq-item:hover{

    border-color:var(--cyan);

    box-shadow:0 0 25px rgba(0,229,255,.12);

}

.faq-question{

    width:100%;

    background:none;

    border:none;

    color:#fff;

    padding:24px 30px;

    display:flex;

    justify-content:space-between;

    align-items:center;

    cursor:pointer;

    font-size:20px;

    font-weight:600;

}

.faq-question span{

    color:var(--cyan);

    font-size:30px;

}

.faq-answer{
    padding:0 30px;
    color:#C7D1DB;
    line-height:1.8;
    font-size:17px;

   max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease, padding 0.4s ease;
}

.faq-answer p{
  margin: 0;
  padding: 20px 0 25px;
}


@media (max-width:768px){

    .faq{

        padding:90px 7%;

    }

    .faq-header h2{

        font-size:38px;

    }

    .faq-question{

        font-size:18px;

        padding:20px;

    }

    .faq-answer{

        padding:0 20px 20px;

    }

}


/*=========================
          CTA FINAL
=========================*/

.cta{

    padding:120px 8%;

}

.cta-content{

    max-width:900px;

    margin:auto;

    padding:80px 60px;

    text-align:center;

    background:linear-gradient(135deg,#111827,#0A0F1C);

    border:1px solid rgba(255,255,255,.08);

    border-radius:30px;

    box-shadow:0 20px 50px rgba(0,0,0,.35);

}

.cta-content h2{

    font-size:52px;

    margin-bottom:25px;

    line-height:1.2;

}

.cta-content h2 span{

    color:var(--green);

}

.cta-content p{

    max-width:700px;

    margin:0 auto 45px;

    color:#C7D1DB;

    line-height:1.9;

    font-size:20px;

}

.cta-content .btn{
    font-size:20px;
    padding:20px 45px;

}

@media (max-width:768px){

    .cta{

        padding:90px 7%;

    }

    .cta-content{

        padding:50px 30px;

    }

    .cta-content h2{

        font-size:36px;

    }

    .cta-content p{

        font-size:17px;

    }

}

.footer{
    background:#0b1220;
    padding:80px 8% 30px;
    border-top:1px solid rgba(255,255,255,.08);
}

.footer-container{
    display:grid;
    grid-template-columns:2fr 1fr 1fr 1fr 1fr;
    gap:50px;
}

.footer-logo img{
    width:100px;
    margin-bottom:15px;
}

.footer-logo h3{
    color:#fff;
    font-size:28px;
    margin-bottom:15px;
}

.footer-logo p{
    color:#9aa5b1;
    line-height:1.7;
    max-width:260px;
}

.footer-links h4{
    color:#fff;
    margin-bottom:20px;
}

.footer-links{
    display:flex;
    flex-direction:column;
}

.footer-links a,
.footer-links span{
    color:#9aa5b1;
    text-decoration:none;
    margin-bottom:12px;
    transition:.3s;
}

.footer-links a:hover{
    color:#00E5FF;
}

.footer hr{
    margin:50px 0 25px;
    border:none;
    height:1px;
    background:rgba(255,255,255,.08);
}

.footer-copy{
    text-align:center;
}

.footer-copy p{
    color:#7d8794;
    font-size:15px;
}

@media (max-width:900px){

.footer-container{
    grid-template-columns:1fr;
    gap:35px;
    text-align:center;
}

.footer-logo p{
    margin:auto;
}
}



/* ==========================
   ANIMACIONES SCROLL(Section)
========================== */


.fade{
    opacity: 0;
    transition: opacity .8s ease;
}

.fade.active{
    opacity: 1;
}

.from-bottom{
    opacity: 0;
    transform: translateY(60px);
    transition: all .8s ease;
}

.from-bottom.active{
    opacity: 1;
    transform: translateY(0);
}

.from-left{
    opacity: 0;
    transform: translateX(-80px);
    transition: all .8s ease;
}

.from-left.active{
    opacity: 1;
    transform: translateX(0);
}

.from-right{
    opacity: 0;
    transform: translateX(80px);
    transition: all .8s ease;
}

.from-right.active{
    opacity: 1;
    transform: translateX(0);
}
/* ==========================
   ANIMACIONES SCROLL(servicio principal index)
========================== */
.card-up{
    opacity: 0;
    transform: translateY(40px);
    transition: all .7s ease;
}

.card-left{
    opacity: 0;
    transform: translateX(-40px);
    transition: all .7s ease;
}

.card-right{
    opacity: 0;
    transform: translateX(40px);
    transition: all .7s ease;
}

.card-up.active,
.card-left.active,
.card-right.active{
    opacity: 1;
    transform: translate(0,0);
}

/* ==========================
   ANIMACIONES SCROLL(tarjetas)
========================== */
.service-card{
    position: relative;
    overflow: hidden;
    transition: transform .35s ease,
                box-shadow .35s ease,
                border-color .35s ease;
}

.service-card:hover{
    transform: translateY(-10px);
    box-shadow: 0 20px 40px rgba(0,255,170,.15);
    border-color: rgba(0,255,170,.4);
}

.service-card i{
    transition: transform .35s ease;
}

.service-card:hover i{
    transform: scale(1.15) rotate(8deg);
}

.service-card::before{
    content:"";
    position:absolute;
    top:0;
    left:-120%;
    width:60%;
    height:100%;
    background:linear-gradient(
        120deg,
        transparent,
        rgba(255,255,255,.15),
        transparent
    );
    transition:.8s;
}

.service-card:hover::before{
    left:150%;
}


/*=========================
    WHATSAPP FLOTANTE
=========================*/

.whatsapp-float{
    position: fixed;
    right: 25px;
    bottom: 25px;

    width: 65px;
    height: 65px;

    display: flex;
    justify-content: center;
    align-items: center;

    background: #25D366;
    color: #fff;
    border-radius: 50%;
    text-decoration: none;

    z-index: 99999;

    box-shadow: 0 12px 30px rgba(37,211,102,.35);

    transition: .35s ease;

    animation: whatsappPulse 2.5s infinite;
}

.whatsapp-float:hover{
    transform: scale(1.1);
    box-shadow: 0 18px 40px rgba(37,211,102,.5);
}

.whatsapp-float svg{
    width: 32px;
    height: 32px;
    stroke-width: 2.2;
}

@keyframes whatsappPulse{

    0%{
        transform: scale(1);
    }

    50%{
        transform: scale(1.08);
    }

    100%{
        transform: scale(1);
    }

}

@media (max-width:768px){

    .whatsapp-float{
        width:58px;
        height:58px;
        right:18px;
        bottom:18px;
    }

}

/*=========================
      TYPEWRITER
=========================*/

.typewriter{
    margin-top: 10px;
    font-size: 22px;
    font-weight: 700;
    color: var(--cyan);
    min-height: 30px;
}

.cursor{
    color: var(--green);
    animation: blink .8s infinite;
}

@keyframes blink{
    50%{
        opacity:0;
    }

}
@media(max-width:768px){
    .typewriter{
        font-size:18px;
    }
}


/*=========================
      Stadics
=========================*/
.stats{
    padding: 60px 6%;
}

.stats-grid{
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    gap: 20px;
    max-width: 1200px;
    margin: 0 auto;
}

.stat-card{
    width: 100%;
    min-width: 0;
    background: #121821;
    border: 1px solid rgba(255,255,255,.08);
    border-radius: 22px;
    padding: 30px 20px;
    text-align: center;
    transition: .35s ease;
}

.stat-card h2{
    font-size: 30px;
    color: var(--green);
    margin-bottom: 12px;
}

.stat-card p{
    font-size: 16px;
    line-height: 1.6;
    word-break: break-word;
}

@media (max-width:768px){

    .stats{
        padding: 50px 6%;
    }

    .stats-grid{
        grid-template-columns: 1fr;
        gap: 18px;
    }

    .stat-card{
        padding: 25px 18px;
    }

    .stat-card h2{
        font-size: 32px;
    }

    .stat-card p{
        font-size: 15px;
    }

}

/*=========================
        PRELOADER
=========================*/
#preloader{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:100vh;
    background:#0A0F1C;
    display:flex;
    justify-content:center;
    align-items:center;
    z-index:999999;
    transition:opacity .8s ease,
               visibility .8s ease;
}

.loader-content{
    display:flex;
    flex-direction:column;
    align-items:center;
}

.loader-content img{
    width:95px;
    animation:logoPulse 1.5s infinite ease-in-out;
    filter:drop-shadow(0 0 25px rgba(0,229,255,.45));
}

.loader-content h2{
    margin-top:18px;
    color:#fff;
    letter-spacing:5px;
    font-size:24px;
    font-weight:800;
}

#preloader.hide{
    opacity:0;
    visibility:hidden;
}

@keyframes logoPulse{
    0%{
        transform:scale(1);
    }
    50%{
        transform:scale(1.08);
    }
    100%{
        transform:scale(1);
    }
}

/*=========================
      REVEAL PAGE
=========================*/

body{
    opacity:1;
    transition:opacity .8s ease;
}

body.loaded{
    opacity:1;
}

.loader-text{
    margin-top:12px;
    background:linear-gradient(135deg, #0066FF 0%, #00E5FF 50%, #39FF14 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
};
    font-size:16px;
    letter-spacing:1px;
    min-height:22px;
    text-align:center;
}

.loader-cursor{
    color:var(--green);
    animation:blink .8s infinite;
}

/*========== HISTORIA-NOSOTROS ==========*/

.historia{
    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:70px;
    padding:100px 8%;
}

.historia-content{
    flex:1;
}

.section-badge{
    display:inline-block;
    padding:8px 18px;
    border:1px solid rgba(0,229,255,.3);
    border-radius:50px;
    color:#39FF14;
    font-size:14px;
    font-weight:600;
    margin-bottom:20px;
}

.historia h2{
    font-size:48px;
    margin-bottom:25px;
}

.historia h2 span{
    color:#39FF14;
}

.historia p{
    color:var(--text);
    line-height:1.9;
    font-size:18px;
    margin-bottom:20px;
}

.historia-image{
    flex:1;
    text-align:center;
}

.historia-image img{
    width:100%;
    max-width:500px;
}

@media(max-width:768px){

    .historia{
        flex-direction:column;
        text-align:center;
        padding:80px 6%;
    }

    .historia h2{
        font-size:36px;
    }

    .historia p{
        font-size:16px;
    }

}

/*========== MISIÓN, VISIÓN Y VALORES ==========*/

.mvv{
    padding:100px 8%;
}

.mvv-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(300px,1fr));
    gap:35px;
    margin-top:60px;
}

.mvv-card{
    background:#111827;
    border:1px solid rgba(255,255,255,.08);
    border-radius:20px;
    padding:40px 30px;
    text-align:center;
    transition:.4s;
}

.mvv-card:hover{
    transform:translateY(-10px);
    border-color:#00E5FF;
    box-shadow:0 15px 35px rgba(0,229,255,.15);
}

.mvv-card svg{
    width:55px;
    height:55px;
    stroke:#00E5FF;
    margin-bottom:25px;
}

.mvv-card h3{
    font-size:26px;
    margin-bottom:18px;
}

.mvv-card p{
    color:var(--text);
    line-height:1.8;
}

/*========== ENFOQUE ==========*/

.enfoque{
    padding:100px 8%;
}

.enfoque-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(260px,1fr));
    gap:30px;
    margin-top:60px;
}

.enfoque-card{
    position:relative;
    background:#111827;
    border:1px solid rgba(255,255,255,.08);
    border-radius:20px;
    padding:35px;
    transition:.4s;
}

.enfoque-card:hover{
    transform:translateY(-10px);
    border-color:#00E5FF;
    box-shadow:0 15px 35px rgba(0,229,255,.15);
}

.numero{
    position:absolute;
    top:20px;
    right:20px;
    font-size:38px;
    font-weight:700;
    color:rgba(255,255,255,.08);
}

.enfoque-card svg{
    width:50px;
    height:50px;
    stroke:#00E5FF;
    margin-bottom:20px;
}

.enfoque-card h3{
    font-size:24px;
    margin-bottom:15px;
}

.enfoque-card p{
    color:var(--text);
    line-height:1.8;
}


/*========== HERO CONTACTO ==========*/

.hero-contacto{
    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:60px;
    padding:170px 8% 100px;
}

.hero-contacto-content{
    flex:1;
    max-width:650px;
}

.hero-contacto h1{
    font-size:50px;
    line-height:1.15;
    margin-bottom:25px;
}

.hero-contacto h1 span{
    color:var(--green);
}

.hero-contacto p{
    font-size:15px;
    color:var(--text);
    line-height:1.8;
    margin-bottom:40px;
}

.hero-contacto-image{
    flex:1;
    display:flex;
    justify-content:center;
}

.hero-contacto-image img{
    width:100%;
    max-width:520px;
}

@media (max-width:992px){

    .hero-contacto{
        flex-direction:column;
        text-align:center;
        padding:140px 8% 80px;
    }

    .hero-contacto-content{
        max-width:100%;
    }

    .hero-contacto h1{
        font-size:48px;
    }

    .hero-contacto p{
        font-size:18px;
    }

    .hero-buttons{
        justify-content:center;
    }

    .hero-contacto-image{
        margin-top:40px;
    }

    .hero-contacto-image img{
        max-width:420px;
    }
}

@media (max-width:768px){

    .hero-contacto{
        padding:120px 6% 70px;
    }

    .hero-contacto h1{
        font-size:38px;
    }

    .hero-contacto p{
        font-size:17px;
    }

    .hero-buttons{
        flex-direction:column;
        align-items:center;
    }

    .hero-buttons a{
        width:100%;
        max-width:320px;
    }

    .hero-contacto-image img{
        max-width:300px;
    }
}

@media (max-width:480px){

    .hero-contacto h1{
        font-size:32px;
    }

    .hero-contacto p{
        font-size:16px;
    }
}

/*========== CONTACTO ==========*/

.contact-info{
    padding:100px 8%;
}

.contact-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
    gap:30px;
    margin-top:60px;
}

.contact-card{
    background:#111827;
    border:1px solid rgba(255,255,255,.08);
    border-radius:20px;
    padding:35px;
    margin: 15px;
    text-align:center;
    transition:.4s;
}

.contact-card:hover{
    transform:translateY(-10px);
    border-color:var(--green);
    box-shadow:0 15px 35px rgba(0,229,255,.15);
}

.contact-card svg{
    width:50px;
    height:50px;
    stroke:var(--green);
    margin-bottom:20px;
}

.contact-card h3{
    margin-bottom:15px;
    font-size:24px;
}

.contact-card p{
    color:var(--text);
    line-height:1.7;
}
.contact-btn{
    display:inline-block;
    margin-top:20px;
    padding:12px 28px;
    background:var(--green);
    color:#08111f;
    text-decoration:none;
    font-weight:600;
    border-radius:50px;
    transition:.3s;
}

.contact-btn:hover{
    transform:translateY(-3px);
    box-shadow:0 10px 25px rgba(0,229,255,.3);
}


/*========== PAGINAS DE TODOS LOS SERVICIOS GOOGLE MAPS-WHATSAPP-RESEÑAS-TODAS... HERO  ==========*/

.hero-google-maps{
    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:60px;
    padding:170px 8% 100px;
}

.hero-google-content{
    flex:1;
    max-width:650px;
}

.hero-google-maps h1{
    font-size:64px;
    line-height:1.15;
    margin-bottom:25px;
}

.hero-google-maps h1 span{
    color:var(--green);
}

.hero-google-maps p{
    font-size:20px;
    color:var(--text);
    line-height:1.8;
    margin-bottom:40px;
}

.hero-service{
    padding:170px 8% 100px;
    text-align:center;
}

.hero-service-content{
    max-width:850px;
    margin:auto;
}

.hero-google-image img{
    width:100%;
    max-width:520px;
}

@media(max-width:992px){

    .hero-google-maps{
        flex-direction:column;
        text-align:center;
        padding:140px 8% 80px;
    }

    .hero-google-content{
        max-width:100%;
    }

    .hero-google-maps h1{
        font-size:48px;
    }

    .hero-google-maps p{
        font-size:18px;
    }

    .hero-google-image img{
        max-width:420px;
    }

}

@media(max-width:768px){

    .hero-google-maps{
        padding:120px 6% 70px;
    }

    .hero-google-maps h1{
        font-size:38px;
    }

    .hero-google-maps p{
        font-size:17px;
    }

    .hero-google-image img{
        max-width:300px;
    }

}

/*========== INCLUYE SERVICIO ==========*/

.incluye-servicio{
    padding:100px 8%;
}

.incluye-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(280px,1fr));
    gap:30px;
    margin-top:60px;
}

.incluye-card{
    background:#111827;
    border:1px solid rgba(255,255,255,.08);
    border-radius:20px;
    padding:35px;
    transition:.4s;
}

.incluye-card:hover{
    transform:translateY(-8px);
    border-color:var(--green);
    box-shadow:0 15px 35px rgba(0,229,255,.15);
}

.incluye-card svg{
    width:50px;
    height:50px;
    stroke:var(--green);
    margin-bottom:20px;
}

.incluye-card h3{
    margin-bottom:15px;
    font-size:24px;
}

.incluye-card p{
    color:var(--text);
    line-height:1.8;
}

/*========== PROCESO ==========*/

.proceso{
    padding:100px 8%;
}

.proceso-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(260px,1fr));
    gap:30px;
    margin-top:60px;
}

.proceso-card{
    position:relative;
    background:#111827;
    border:1px solid rgba(255,255,255,.08);
    border-radius:20px;
    padding:35px;
    transition:.4s;
}

.proceso-card:hover{
    transform:translateY(-10px);
    border-color:var(--green);
    box-shadow:0 15px 35px rgba(0,229,255,.15);
}

.proceso-card svg{
    width:50px;
    height:50px;
    stroke:var(--green);
    margin-bottom:20px;
}

.numero{
    position:absolute;
    top:20px;
    right:20px;
    font-size:38px;
    font-weight:700;
    color:rgba(255,255,255,.08);
}

.proceso-card h3{
    margin-bottom:15px;
    font-size:24px;
}

.proceso-card p{
    color:var(--text);
    line-height:1.8;
}
/*========== AQUI TERMINA ==========*/